var fs = require('fs');
var csv = fs.readFileSync('log.csv', 'utf-8').split('\n');
var time = {};
csv.forEach(function(row, idx){
    if (idx === 0) return;
    row = row.split(',');
    var day = Math.floor(new Date(row[1]).getTime() / (60000 * 60 * 24)) * 60000 * 60 * 24;
    time[day] = (time[day] || 0) + (parseFloat(row[2]) || 0);
});

for(var t in time){
    console.log(new Date(parseFloat(t)), new Date(time[t]));
}



//###### Timelogger as a service
//Running timelogger will also generate an init.d script to allow you to run timelogger as a service
//Stop the timelogger script then, as root...
//```cp timelogger /etc/init.d```
//```chmod 755 /etc/init.d/timelogger```
//```service timelogger start```
var replacements = {
    appDirectory: __dirname,
    nodeLocation: process.execPath,
    user: process.env.USER,
    dbusAddress: process.env.DBUS_SESSION_BUS_ADDRESS
};

var initScript = fs
    .readFileSync(__dirname + '/lib/init.d', 'utf-8')
    .replace(/{{(.*)}}/g, function(outer, inner){
        return replacements[inner];
    });

fs.writeFileSync(__dirname + '/timelogger', initScript);